> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current rates

> Returns current USD conversion rates and expiry information.



## OpenAPI

````yaml /openapi.json get /v1/rates
openapi: 3.0.3
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Merchant-facing wallets/address-as-a-service API for creating merchant
    receive addresses, inspecting balances, quoting transfers, and initiating
    payouts to whitelisted recipients.

    Public endpoints are for external integrators. Dashboard endpoints are
    gateway-to-environment surfaces protected by the external API gateway.
    Internal endpoints are platform/system surfaces protected by an internal
    token.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/rates:
    get:
      tags:
        - public.rates
      summary: Get current rates
      description: Returns current USD conversion rates and expiry information.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatesResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RatesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Rate'
          type: array
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      type: object
    Rate:
      properties:
        expires_at:
          example: '2026-06-16T03:05:00Z'
          type: string
        from_currency:
          example: USD
          type: string
        rate:
          example: '1500'
          type: string
        to_currency:
          example: NGN
          type: string
      type: object
    ErrorBody:
      properties:
        code:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'Public merchant API key. You can also send Authorization: ApiKey <key>.'
      in: header
      name: X-Yara-API-Key
      type: apiKey

````